Bio::Tools::HMMER::Domain(3)

NAME
Bio::Tools::HMMER::Domain - One particular domain hit from HMMER

SYNOPSIS
Read the Bio::Tools::HMMER::Results docs

DESCRIPTION
A particular domain score. We reuse the Homol SeqFeature system here, so this inherits off Homol SeqFeature. As this code originally came from a separate project, there are some backward compatibility stuff provided to keep this working with old code.

Don't forget this inherits off Bio::SeqFeature, so all your usual nice start/end/score stuff is ready for use.

CONTACT
Ewan Birney, birney@ebi.ac.uk

CONTRIBUTORS
Jason Stajich, jason@bioperl.org

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  add_alignment_line
 Title   : add_alignment_line
 Usage   : $domain->add_alignment_line($line_from_hmmer_output);
 Function: add an alignment line to this Domain object
 Returns : Nothing
 Args    : scalar

 Adds an alignment line, mainly for storing the HMMER alignments
as flat text which can be reguritated. You're right. This is *not
nice* and not the right way to do it.  C'est la vie.

  each_alignment_line
 Title   : each_alignment_line
 Usage   : foreach $line ( $domain->each_alignment_line )
 Function: reguritates the alignment lines as they were fed in.
           only useful realistically for printing.
 Example :
 Returns :
 Args    : None

  get_nse
 Title   : get_nse
 Usage   : $domain->get_nse()
 Function: Provides a seqname/start-end format, useful
           for unique keys. nse stands for name-start-end
           It is used alot in Pfam
 Example :
 Returns : A string
 Args    : Optional seperator 1 and seperator 2 (default / and -)

  hmmacc
 Title   : hmmacc
 Usage   : $domain->hmmacc($newacc)
 Function: set get for HMM accession number. This is placed in the homol
           feature of the HMM
 Example :
 Returns :
 Args    :

  hmmname
 Title   : hmmname
 Usage   : $domain->hmmname($newname)
 Function: set get for HMM accession number. This is placed in the homol
           feature of the HMM
 Example :
 Returns :
 Args    :

  bits
 Title   : bits
 Usage   :
 Function: backward compatibility. Same as score
 Example :
 Returns :
 Args    :

  evalue
 Title   : evalue
 Usage   :
 Function: $domain->evalue($value);
 Example :
 Returns :
 Args    :

  seqbits
 Title   : seqbits
 Usage   :
 Function: $domain->seqbits($value);
 Example :
 Returns :
 Args    :

  seq_range
 Title   : seq_range
 Usage   :
 Function: Throws an exception to catch scripts which need to upgrade
 Example :
 Returns :
 Args    :

  hmm_range
 Title   : hmm_range
 Usage   :
 Function: Throws an exception to catch scripts which need to upgrade
 Example :
 Returns :
 Args    :